int directionPinUp=9  ; //Pin 9 steuert nach rückwärts oder vorwärts
int directionPinLeft=3   ; //Pin 3 steuert nach links oder rechts
int throttlePinUp=9 ;
int throttlePinLeft=3;

void setup() {
 Serial.begin(115200); 
}

void loop() {
if (Serial.available() > 0) { // Wenn Daten da sind...
    int inByte = Serial.read(); // ...dann lies das erste Byte und speichere es in der Variable inByte
    switch (inByte) {           // und nimm den Wert, der übertragen wurde, genauer unter die Lupe.
    case 'r':                   // wenn dieser das Zeichen 'r' für oben oder unten ist...
      {
      int inValue=Serial.parseInt();             // dann lies erstmal eine Zahl ein (wenn irgendetwas anders kam, ist das Ergebnis 0 )
      digitalWrite(directionPinUp,inValue>124); // stelle den Schub auf vorwärts, wenn der wert größer 128 ist, sonst auf rückwärts
      analogWrite(throttlePinUp, inValue);    // ... gib genau so viel Schub, wie gewünscht.
      break;                    // höre hier auf.
      }
    case 'l':                   // ..links genauso:
      {
      int inValue=Serial.parseInt();             // dann lies erstmal eine Zahl ein (wenn irgendetwas anders kam, ist das Ergebnis 0 )
      digitalWrite(directionPinLeft,inValue>124);  // stelle den Schub auf links, wenn der wert größer 128 ist, sonst auf rechts
      analogWrite(throttlePinLeft, inValue);     // ... gib genau so viel Gas, wie gewünscht.
      break;                    // höre hier auf.
      }
    default: // bei uns unbekannten Kommandos machen wir einfach garnichts...
      break; 
   }}}
